import java.util.*;
import java.io.*;

public class CountsConverter
{
  private BufferedReader in;
  private PrintWriter out;
  private ArrayList<String> list;

  public static void main(String[] args)
  {
    try
    {
      File pathName = new File(args[0]);
      String[] fileNames = pathName.list();
      CountsConverter converter = new CountsConverter();
      for (int i = 0; i < fileNames.length; i++)
      {  
        File in = new File(pathName.getPath(), fileNames[i]);
        if (in.isDirectory())
          main(new String[] {in.getPath()});
        else if (in.getCanonicalPath().endsWith(".sqc"))
        {
          String s = in.getCanonicalPath();
          System.out.println(s);
          converter.setBufferedReader(new BufferedReader(new FileReader(in)));
          converter.readFile();
          in.delete();
          File out = new File(pathName.getPath(), fileNames[i]);
          if (! out.exists())
            out.createNewFile();
          converter.setPrintWriter(new PrintWriter(new BufferedWriter(new FileWriter(out))));
          converter.writeFile();
        }
      }
    }
    catch(IOException e)
    {  
      e.printStackTrace();
    }
  }

  public CountsConverter()
  {
  }

  public void setBufferedReader(BufferedReader br)
  {
    in = br;
  }

  public void setPrintWriter(PrintWriter pw)
  {
    out = pw;
  }

	private void readFile()
	{
		{
			try
			{        
        String line;
        list = new ArrayList<String>();
        while ((line = in.readLine()) != null)
        {
          list.add(line);
        }
			}
			catch (IOException e)
			{
        e.printStackTrace();
			}
		}
	}

  public void writeFile()
  {
    out.println(list.get(0));
    out.println(list.get(1));
    out.println("#Table = 32");
    for (int i = 2; i < list.size(); i++)
      out.println(list.get(i));
    out.close();
  }
}
