import java.util.*;
import java.io.*;

public class FileProcessor
{
  private BufferedReader in;
  private PrintWriter out;

  public static void main(String[] args)
  {
    try
    {
      File pathName = new File(args[0]);
      String[] fileNames = pathName.list();
      FileProcessor processor = new FileProcessor();
      for (int i = 0; i < fileNames.length; i++)
      {
        File in = new File(pathName.getPath(), fileNames[i]);
        if (in.isDirectory())
          main(new String[] {in.getPath()});
        else
        {
          String s = in.getCanonicalPath();
          System.out.println(s);
          processor.setBufferedReader(new BufferedReader(new FileReader(in)));
          File out = new File(pathName.getPath(), fileNames[i]);
          if (! out.exists())
            out.createNewFile();
          processor.setPrintWriter(new PrintWriter(new BufferedWriter(new FileWriter(out))));
        }
      }
    }
    catch(IOException e)
    {  
      e.printStackTrace();
    }
  }
  
  public FileProcessor()
  {
  }
 
  public void setBufferedReader(BufferedReader br)
  {
    in = br;
  }

  public void setPrintWriter(PrintWriter pw)
  {
    out = pw;
  }
}
